eslint-plugin-censor

1.5.3 • Public • Published

Logo

eslint-plugin-censor

The plugin will prevent you from using swear pejoratives and abuse words.

Version Bundle size Downloads

CodeFactor SonarCloud Codacy Scrutinizer

Dependencies Security Build Status Coverage Status

Commit activity FOSSA License Made in Ukraine

🇺🇦 Help Ukraine

I woke up on my 26th birthday at 5 am from the blows of russian missiles. They attacked the city of Kyiv, where I live, as well as the cities in which my family and friends live. Now my country is a war zone.

We fight for democratic values, freedom, for our future! Once again Ukrainians have to stand against evil, terror, against genocide. The outcome of this war will determine what path human history is taking from now on.

💛💙 Help Ukraine! We need your support! There are dozen ways to help us, just do it!

Table of Contents

Requirements

Platform Status

To use library you need to have node and npm installed in your machine:

  • node >=10
  • npm >=6

Package is continuously tested on darwin, linux and win32 platforms. All active and maintenance LTS node releases are supported.

Installation

To install the library run the following command

  npm i --save-dev eslint-plugin-censor

Usage

After installation, add plugin to eslint config:

{
    "extends": [...],
    "env": {...},
    "plugins": [ "censor" ],
    "rules": {...}
}

And enable rule:

{
    "extends": [...],
    "env": {...},
    "plugins": [ "censor" ],
    "rules": {
      ...
      "censor/no-swear": 2
    }
}

Now you can check your courtesy by running eslint.

Sources

Contribute

Make the changes to the code and tests. Then commit to your branch. Be sure to follow the commit message conventions. Read Contributing Guidelines for details.

Package Sidebar

Install

npm i eslint-plugin-censor

Weekly Downloads

129

Version

1.5.3

License

MIT

Unpacked Size

55.2 kB

Total Files

8

Last publish

Collaborators

  • pustovit